to compile conntrack-tools a number of dependencies is needed. This is the
fourth patch in a series of five.
---
 gnu/packages/linux.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 69e421d84d..85b6301f29 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -6819,3 +6819,30 @@ disable user-space helpers. This library is used by conntrack-tools.")
     (home-page (string-append "https://netfilter.org/projects/"
 			      "libnetfilter_cthelper/index.html"))
     (license license:gpl2)))
+
+(define-public libnetfilter_queue
+    (package
+    (name "libnetfilter_queue")
+    (version "1.0.3")
+    (source
+       (origin
+	 (method url-fetch)
+	 (uri (string-append "https://netfilter.org/projects/"
+			     "libnetfilter_queue/files/"
+			     "libnetfilter_queue-"
+			     version ".tar.bz2"))
+	 (sha256
+	  (base32
+	   "0x77m1fvbqzz5z64jz59fb6j8dvv8b9pg4fmznqwax4x6imjcncq"))))
+    (build-system gnu-build-system)
+    (native-inputs
+     `(("libmnl" ,libmnl)
+       ("libnfnetlink" ,libnfnetlink)
+       ("pkg-config" ,pkg-config)))
+    (synopsis "userspace library for in kernel netfilter infrastructure and
+state")
+    (description "libnetfilter_queue is a userspace library providing an API to
+packets that have been queued by the kernel packet filter. It is is part of a
+system that deprecates the old ip_queue / libipq mechanism.")
+    (home-page "https://netfilter.org/projects/libnetfilter_queue/index.html")
+    (license license:gpl)))
-- 
2.26.2

